<!DOCTYPE html>
<html lang="zh-tw">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用者資料</title>

  <!-- 引入Bootstrap 5.0 CDN -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>

  <!-- jQuery CDN -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body class="bg-light">
  <!-- 頂端工具列 -->
  <div id="header"></div>

  <div class="container vh-100">
    <!-- 預留頂端工具列下空間 -->
    <div style="height: 56px;"></div>
    <div class="mt-3">
      <div id="information" class="card">
        <div class="card-body p-4">
          <div class="d-flex">
            <h1 class="card-title">基本資料</h1>
            <div class="ms-auto">
              <a type="button" id="edit" class="btn btn-sm btn-outline-primary align-self-center">編輯基本資料</a>
              <a type="button" id="changepw" class="btn btn-sm btn-outline-primary align-self-center">修改密碼</a>
              <button id="delete" class="btn btn-sm btn-outline-danger align-self-center">刪除帳號</button>
            </div>
          </div>
          <div class="mx-3 mt-3">
            <p class="card-text">帳號編號：<span id="id"></span></p>
            <p class="card-text">姓名：<span id="name"></span></p>
            <p class="card-text">Email：<span id="email"></span></p>
            <p class="card-text">軟刪除：<span id="deleted"></span></p>
          </div>
        </div>
      </div>
      <div id="visas" class="card mt-3">
        <div class="card-body p-4">
          <h1 class="card-title">信用卡資料</h1>
          <table class="table">
            <thead>
              <tr>
                <td id="visaId">信用卡編號</td>
                <td id="bankId">銀行代碼</td>
                <td id="cardId">卡號</td>
                <td id="goodThru">有效年月</td>
                <td id="manage">管理</td>
              </tr>
            </thead>
            <tbody>
              <!-- 表格內容樣板 -->
              <tr id="tbody-template" class="d-none">
                <td id="visaId"></td>
                <td id="bankId"></td>
                <td id="cardId"></td>
                <td id="goodThru"></td>
                <td id="manage">
                  <a type="button" id="information" class="btn btn-sm btn-outline-primary">信用卡資料</a>
                  <a type="button" id="editVisa" class="btn btn-sm btn-outline-primary">編輯</a>
                  <button type="button" id="deleteVisa" class="btn btn-sm btn-outline-danger">刪除</button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>

  <script src="/co_kitchen/statics/js/account/profile.js"></script>
  <script src="/co_kitchen/statics/js/header.js"></script>
</body>
</html>